Subject: RE: asix, setting MAC broken in v3.2. Bisected to "NET: fix phy init for AX88772 USB ethernet".

From: "allan" <[email-masked]>
Date: Sun, 8 Jan 2012 23:28:41 +0800

Dear Jussi,

Please help to double check if the following information is helpful to solve your issue or not? If no, please deliver us your test asix.c driver file and detailed test procedures for further investigation. Thanks a lot.

==============
Actually, if you just want to manually set the MAC address of your AX88772B/AX88772A/AX88178 devices for engineering testing, you can refer to below procedures to temporary change the MAC address of your AX88772B/AX88772A/AX88178 device on Linux platform through the “ax8817x_set_mac_addr()” routine of AX88772B/AX88772A/AX88178 Linux driver source code.

How to change MAC address in Linux
http://linuxhelp.blogspot.com/2005/09/how-to-change-mac-address-of-your.html 

# ifconfig eth0 down
# ifconfig eth0 hw ether 00:80:48:BA:d1:30
# ifconfig eth0 up

---
Best regards,
Allan Chou
Technical Support Division
ASIX Electronics Corporation
TEL: 886-3-5799500 ext.228
FAX: 886-3-5799558
E-mail: [email-masked] 
http://www.asix.com.tw/ 

-----Original Message-----
From: Jussi Kivilinna [mailto:[email-masked]] 
Sent: Sunday, January 08, 2012 11:18 PM
To: Grant Grundler
Cc: [email-masked]; Freddy Xin; Olof Johansson; David S. Miller; David Hollis; Allan Chou
Subject: Re: asix, setting MAC broken in v3.2. Bisected to "NET: fix phy init for AX88772 USB ethernet".

Quoting Grant Grundler <[email-masked]>:

> On Fri, Jan 6, 2012 at 3:10 AM, Jussi Kivilinna
> <[email-masked]> wrote:
>> Hello,
>>
>> I have asix adapter plugged to mini-server
>
> Which Asix adapter do you have? (Vendor/model)

It's Wii Ethernet adapter,
Bus 001 Device 008: ID 0b95:7720 ASIX Electronics Corp. AX88772

>
> Can you please provide:
> 1) dmesg output from asix driver
> 2) lsusb output for the device

Both attached.

>> and have to change MAC address
>> before DHCP because of ISP. This worked fine, until v3.2. Now I have to set
>> interface in promisc mode to have custom MAC working.
>
> Sorry - I didn't test this but I also would not expect this to break
> with the changes in 3.2.
>
> I'll see if Freddy or Allan (ASIX) need my help with this.

I found out that setting MAC in ax88722_reset() solves the issue for  
me. Maybe changes to init/reset sequence causes hardware to be reseted  
after set_mac_address call and revert to default MAC?

Patch attached.

-Jussi